#pragma once
#include "BinaryData.h"
#include "openssl\rc4.h"

/*!
	暗号化ツール
*/
class CCryptTools
{
public:
	//!	暗号化、復号化
	static void CryptRC4(CBinaryData &srcData, CBinaryData &cryptedData, CBinaryData &key);

	//!	ハッシュ取得
	static void GetMD5(CBinaryData &srcData, CBinaryData &hash);

	//!	ハッシュ取得(HEX)
	static CString GetMD5Hex(CBinaryData &srcData);

	//!	ハッシュ取得(HEX)
	static CString GetMD5HexFromStr(CString srcStr);
};

